unit DemoFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, SMSSender;

type
  TDemoForm = class(TForm)
    ConnectPanel: TPanel;
    Label1: TLabel;
    ComCombo: TComboBox;
    ConnectBtn: TButton;
    DisconnectBtn: TButton;
    SendingGroupBox: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    PhoneEdit: TEdit;
    TextEdit: TEdit;
    SendBtn: TButton;
    RecGroupBox: TGroupBox;
    RecListBox: TListBox;
    Splitter1: TSplitter;
    InboxGroupBox: TGroupBox;
    BtnPanel: TPanel;
    InboxListBox: TListBox;
    ReadBtn: TButton;
    TotalLabel: TLabel;
    DeleteBtn: TButton;
    NoEdit: TEdit;
    SMS: TOxygenSMS;
    procedure FormCreate(Sender: TObject);
    procedure ConnectBtnClick(Sender: TObject);
    procedure DisconnectBtnClick(Sender: TObject);
    procedure SendBtnClick(Sender: TObject);
    procedure ReadBtnClick(Sender: TObject);
    procedure DeleteBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DemoForm: TDemoForm;

implementation

{$R *.DFM}

procedure TDemoForm.FormCreate(Sender: TObject);
begin
 ComCombo.ItemIndex:=0;
end;

procedure TDemoForm.ConnectBtnClick(Sender: TObject);
begin
 If SMS.State>0 then begin
  ShowMessage('Already connected!');
  Exit;
 end;
 SMS.ComNumber:=ComCombo.ItemIndex+1;
 If SMS.Open then begin
  ShowMessage('Connected successfully!');
  ConnectBtn.Enabled:=False;
  DisconnectBtn.Enabled:=True;
  SendBtn.Enabled:=True;
  ReadBtn.Enabled:=True;
  DeleteBtn.Enabled:=True;
 end
 else begin
  ShowMessage('Connection failed...');
  SMS.Close;
 end;
end;

procedure TDemoForm.DisconnectBtnClick(Sender: TObject);
begin
 SMS.Close;
 ConnectBtn.Enabled:=True;
 DisconnectBtn.Enabled:=False;
 SendBtn.Enabled:=False;
 ReadBtn.Enabled:=False;
 DeleteBtn.Enabled:=False;
end;

procedure TDemoForm.SendBtnClick(Sender: TObject);
begin
 If SMS.State<>1 then begin
  ShowMessage('SMS subsystem is closed or busy!');
  Exit;
 end;
 If PhoneEdit.Text='' then begin
  ShowMessage('Phone number must be entered!');
  Exit;
 end;
 If TextEdit.Text='' then begin
  ShowMessage('Message text must be entered!');
  Exit;
 end;
 If SMS.SendSMSMessage(PhoneEdit.Text,TextEdit.Text)
  then ShowMessage('The message sent successfully!')
  else ShowMessage('Error sending message...');
end;

procedure TDemoForm.ReadBtnClick(Sender: TObject);
 var i:integer;
     IsMsg:WordBool;
     Time:TDateTime;
     Text,Send:String;
     D1,D2:integer;
begin
 If SMS.State<>1 then begin
  ShowMessage('SMS subsystem is closed or busy!');
  Exit;
 end;
 TotalLabel.Caption:='Messages in inbox: '+IntToStr(SMS.GetInboxCount);

 For i:=1 to 30 do begin
  If SMS.ReadSMSMessage(i,IsMsg,Time,Text,Send,D1,D2) then
   If IsMsg
    then InboxListBox.Items.Add(DateToStr(Time)+': '+Send+' - '+Text)
    else InboxListBox.Items.Add('Report '+IntToStr(D1));
 end;
end;

procedure TDemoForm.DeleteBtnClick(Sender: TObject);
begin
 If SMS.State<>1 then begin
  ShowMessage('SMS subsystem is closed or busy!');
  Exit;
 end;

 If SMS.DeleteSMSMessage(StrToInt(NoEdit.Text))
  then ShowMessage('Message deleted!')
  else ShowMessage('Error deleting message...');
end;

end.
